Debian Bug report logs - #566043
mlt: does not byte-compile Python files

version graph

Package: src:mlt; Maintainer for src:mlt is Fathi Boudra <fabo@debian.org>;

Reported by: dktrkranz@debian.org

Date: Wed, 20 Jan 2010 20:36:25 UTC

Severity: important

Tags: patch

Found in version mlt/0.4.10-3

Fixed in version mlt/0.4.10-4

Done: Patrick Matthäi <pmatthaei@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Fathi Boudra <fabo@debian.org>:
Bug#566043; Package src:mlt. (Wed, 20 Jan 2010 20:36:28 GMT) Full text and rfc822 format available.

Acknowledgement sent to dktrkranz@debian.org:
New Bug report received and forwarded. Copy sent to Fathi Boudra <fabo@debian.org>. (Wed, 20 Jan 2010 20:36:28 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: dktrkranz@debian.org
To: maintonly@bugs.debian.org
Subject: mlt: does not byte-compile Python files
Date: Wed, 20 Jan 2010 21:33:49 +0100
Source: mlt
Version: 0.4.10-3
Severity: important
User: debian-python@lists.debian.org
Usertags: no-byte-compile

Your package does not byte-compile Python files. This task is usually
done by python-support or python-central, which also take care to
move files to the right location.

In order to fix this bug, you should build-depend on python-support
or python-central and be sure to call corresponding dh_* helper
(dh_pysupport or dh_pycentral) in your rules file (if needed).

In case you already build-depend on python-support or python-central,
you need to look where your files are installed, and eventually patch
upstream build routines to let helpers byte-compile Python files.




Information forwarded to debian-bugs-dist@lists.debian.org, Fathi Boudra <fabo@debian.org>:
Bug#566043; Package src:mlt. (Sat, 23 Jan 2010 00:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeni Golov <evgeni@debian.org>:
Extra info received and forwarded to list. Copy sent to Fathi Boudra <fabo@debian.org>. (Sat, 23 Jan 2010 00:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 566043@bugs.debian.org (full text, mbox):

From: Evgeni Golov <evgeni@debian.org>
To: 566043@bugs.debian.org
Subject: mlt: diff for NMU version 0.4.10-3.1
Date: Sat, 23 Jan 2010 01:47:27 +0100
[Message part 1 (text/plain, inline)]
tags 566043 + patch
thanks

Dear maintainer,

I've prepared an NMU for mlt (versioned as 0.4.10-3.1) and
will upload it if you do not object in 24 hours to DELAYED/3.

Regards,
Evgeni Golov
[mlt-0.4.10-3.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Evgeni Golov <evgeni@debian.org> to control@bugs.debian.org. (Sat, 23 Jan 2010 00:57:06 GMT) Full text and rfc822 format available.

Reply sent to Patrick Matthäi <pmatthaei@debian.org>:
You have taken responsibility. (Sat, 23 Jan 2010 15:58:02 GMT) Full text and rfc822 format available.

Notification sent to dktrkranz@debian.org:
Bug acknowledged by developer. (Sat, 23 Jan 2010 15:58:04 GMT) Full text and rfc822 format available.

Message #17 received at 566043-close@bugs.debian.org (full text, mbox):

From: Patrick Matthäi <pmatthaei@debian.org>
To: 566043-close@bugs.debian.org
Subject: Bug#566043: fixed in mlt 0.4.10-4
Date: Sat, 23 Jan 2010 15:52:33 +0000
Source: mlt
Source-Version: 0.4.10-4

We believe that the bug you reported is fixed in the latest version of
mlt, which is due to be installed in the Debian FTP archive:

libmlt++-dev_0.4.10-4_amd64.deb
  to main/m/mlt/libmlt++-dev_0.4.10-4_amd64.deb
libmlt++3_0.4.10-4_amd64.deb
  to main/m/mlt/libmlt++3_0.4.10-4_amd64.deb
libmlt-data_0.4.10-4_all.deb
  to main/m/mlt/libmlt-data_0.4.10-4_all.deb
libmlt-dbg_0.4.10-4_amd64.deb
  to main/m/mlt/libmlt-dbg_0.4.10-4_amd64.deb
libmlt-dev_0.4.10-4_amd64.deb
  to main/m/mlt/libmlt-dev_0.4.10-4_amd64.deb
libmlt2_0.4.10-4_amd64.deb
  to main/m/mlt/libmlt2_0.4.10-4_amd64.deb
melt_0.4.10-4_amd64.deb
  to main/m/mlt/melt_0.4.10-4_amd64.deb
mlt_0.4.10-4.debian.tar.gz
  to main/m/mlt/mlt_0.4.10-4.debian.tar.gz
mlt_0.4.10-4.dsc
  to main/m/mlt/mlt_0.4.10-4.dsc
python-mlt2_0.4.10-4_amd64.deb
  to main/m/mlt/python-mlt2_0.4.10-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566043@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Patrick Matthäi <pmatthaei@debian.org> (supplier of updated mlt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 Jan 2010 14:41:20 +0100
Source: mlt
Binary: libmlt-dev libmlt2 libmlt-data libmlt++-dev libmlt++3 libmlt-dbg melt python-mlt2
Architecture: source amd64 all
Version: 0.4.10-4
Distribution: unstable
Urgency: low
Maintainer: Fathi Boudra <fabo@debian.org>
Changed-By: Patrick Matthäi <pmatthaei@debian.org>
Description: 
 libmlt++-dev - MLT multimedia framework C++ wrapper (development)
 libmlt++3  - MLT multimedia framework C++ wrapper (runtime)
 libmlt-data - multimedia framework (data)
 libmlt-dbg - multimedia framework (debugging symbols)
 libmlt-dev - multimedia framework (development)
 libmlt2    - multimedia framework (runtime)
 melt       - command line media player and video editor
 python-mlt2 - multimedia framework (python bindings)
Closes: 566043
Changes: 
 mlt (0.4.10-4) unstable; urgency=low
 .
   * Add python-support support and thus byte-compile the Python files.
     Much thanks for the patch to Evengi Golov.
     Closes: #566043
Checksums-Sha1: 
 9a6fa50a18ecc7886ad0e007936abb2305cb762d 1427 mlt_0.4.10-4.dsc
 c693bfc14ff7fba98b94b8859319b1239b2e4ed2 6682 mlt_0.4.10-4.debian.tar.gz
 341a27f3e0d64716d2e4d0c06a2e8f9773ab519d 121408 libmlt-dev_0.4.10-4_amd64.deb
 8a64407c99f5fac01555b222fbbd8dd13245f31d 444434 libmlt2_0.4.10-4_amd64.deb
 b7ba803b24a893bdf715ae8da085e8f841df5fe9 2374050 libmlt-data_0.4.10-4_all.deb
 cb2a250f347e6848fb2beb8c6992f3f2e8ae4df3 80702 libmlt++-dev_0.4.10-4_amd64.deb
 32a912ce9441907711a8a9f83b06d398dc51ba6c 111826 libmlt++3_0.4.10-4_amd64.deb
 f02d5d3bf347547b7ac47d9644358c6527c4d01d 964378 libmlt-dbg_0.4.10-4_amd64.deb
 dab9cbc11d59386ab9a9f643ff065205eb8e8141 114948 melt_0.4.10-4_amd64.deb
 ca6d2c62c804f7e0dc74936207e6eb2bbeb169ea 73186 python-mlt2_0.4.10-4_amd64.deb
Checksums-Sha256: 
 7618e4fd71af451932a07bc1a0c591fba448015307616f1a602b0c9d1a1b8666 1427 mlt_0.4.10-4.dsc
 0d323ca6fcbe14d2c9d33c5d5432f4797395fd87fc928f64365ba416ee10fe76 6682 mlt_0.4.10-4.debian.tar.gz
 470882a5f2605c8ea60b6d537ff796851f11753910055007bbfba78e6074c6c7 121408 libmlt-dev_0.4.10-4_amd64.deb
 bd32133796aa6ecde4ed0cc4966391deb07ff15ee98012c646295939f2d8dee0 444434 libmlt2_0.4.10-4_amd64.deb
 f3d1e8abb8e74f8bd8ee85adac4fed34d04ba9623b2a5ff8a2589c83537529a4 2374050 libmlt-data_0.4.10-4_all.deb
 f12f1eb145b3b9e10ad3f5b7108faa5e99de5099a79712366644a2e7b7373618 80702 libmlt++-dev_0.4.10-4_amd64.deb
 ceabcc0bc0759e53562cbcbdf8bc00ef23f18fab311cdd90f6f36f037eeaba13 111826 libmlt++3_0.4.10-4_amd64.deb
 4ca27db9c1c0a83a1ed1a3d0ddeb1dfd0ed6b2c1b19f4f511125db78e35e5a76 964378 libmlt-dbg_0.4.10-4_amd64.deb
 94a633007cd29578a0360a53e7974100a59d61cf439c7e3beffe5794dc42aff8 114948 melt_0.4.10-4_amd64.deb
 814c2357a38516dd3cfb58f8f005eada5c022646d0dd89158f022ae90ca876fa 73186 python-mlt2_0.4.10-4_amd64.deb
Files: 
 b3bcd5b9f32c47a767493314073e207b 1427 libs optional mlt_0.4.10-4.dsc
 e6d0361cb33149f0840a8804ec645901 6682 libs optional mlt_0.4.10-4.debian.tar.gz
 4686e7ec9625ebe34efc6e2c8855b5a8 121408 libdevel optional libmlt-dev_0.4.10-4_amd64.deb
 dff52dc6869773192273e4ba70ebafeb 444434 libs optional libmlt2_0.4.10-4_amd64.deb
 bdb482d70cfea2a0764e9bf934b1b807 2374050 libs optional libmlt-data_0.4.10-4_all.deb
 b9d9d873e6249953646b4ded13f109f2 80702 libdevel optional libmlt++-dev_0.4.10-4_amd64.deb
 1d9ce924cc3b20d9fb6cd0ca7bbbe499 111826 libs optional libmlt++3_0.4.10-4_amd64.deb
 7530f0e13dd6ff6bf7701d511b2e9575 964378 debug extra libmlt-dbg_0.4.10-4_amd64.deb
 83955021b68290b3ce5ecd429befffa3 114948 utils optional melt_0.4.10-4_amd64.deb
 116fb50028b93ab8fe8f379e5bf7aef6 73186 python optional python-mlt2_0.4.10-4_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAktbDJAACgkQ2XA5inpabMdecQCgh0kC/QU/AI36D/RRdaGI8zKT
950AnibFWtLKJoVtVHihQJsHZFzzwFi5
=dLKW
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Fathi Boudra <fabo@debian.org>:
Bug#566043; Package src:mlt. (Sun, 07 Feb 2010 12:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Fathi Boudra <fabo@debian.org>. (Sun, 07 Feb 2010 12:36:04 GMT) Full text and rfc822 format available.

Message #22 received at 566043@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 566043@bugs.debian.org, Evgeni Golov <evgeni@debian.org>
Cc: control@bugs.debian.org
Subject: Re: Bug#566043 closed by Patrick Matthäi <pmatthaei@debian.org> (Bug#566043: fixed in mlt 0.4.10-4)
Date: Sun, 7 Feb 2010 13:34:28 +0100
[Message part 1 (text/plain, inline)]
clone 566043 -1
reopen -1 
reassign -1 python-mlt2 0.4.10-4
severity -1 grave
retitle -1 python-mlt2: does not contain Python modules
thanks

>   * Add python-support support and thus byte-compile the Python files.
>     Much thanks for the patch to Evengi Golov.
>     Closes: #566043

Let me see:

$ dpkg -c python-mlt2_0.4.10-4_i386.deb 
drwxr-xr-x root/root         0 2010-01-23 17:15 ./
drwxr-xr-x root/root         0 2010-01-23 17:15 ./usr/
drwxr-xr-x root/root         0 2010-01-23 17:15 ./usr/share/
drwxr-xr-x root/root         0 2010-01-23 17:15 ./usr/share/doc/
drwxr-xr-x root/root         0 2010-01-23 17:15 ./usr/share/doc/python-mlt2/
-rw-r--r-- root/root      2742 2010-01-23 14:43 ./usr/share/doc/python-mlt2/changelog.Debian.gz
-rw-r--r-- root/root      2900 2010-01-23 14:43 ./usr/share/doc/python-mlt2/copyright
-rw-r--r-- root/root     67428 2009-12-09 05:38 ./usr/share/doc/python-mlt2/changelog.gz

-- 
Jakub Wilk
[signature.asc (application/pgp-signature, inline)]

Bug 566043 cloned as bug 568736. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 07 Feb 2010 12:36:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 08 Mar 2010 07:34:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:46:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.